<div class="my-n1 py-1">
  {{range $i, $v := .rows}}
  <div class="row py-2">
    {{range $ci, $c := $v.cols}}
    <div class="col-{{default 3 .span}}">
      {{partial .name (merge $c (dict "name" (print $.name "_" $i "_" $ci)))}}
    </div>
    {{end}}
  </div>
  {{end}}
</div>
